#### D.15.4.34 derivationToString

Procedure from library `difform.lib` (see difform_lib).

Usage:
  derivationToString(phi,#); phi derivation, # list

Return:
  the derivation as a string, describing the image of the degree-1 generators, optionally ordered by a given monomial ordering on the generators

Remarks:
  To sort the images of the generators in the output string, difformListSort is used.

Note:
  to define an ordering for the generators, one can use:
  - #[1] = 'gen'
  - #[2]: a monomial ordering as string
  - #[3]: an optional weight vector
  the standard ordering is the ordering of the differential algebra

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),dp;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    list L; L[1] = list(dx,dy,dz); L[2] = list(x2,y-23xz,xz4);
    derivation phi = L;
    ///////////////////////////////////
    // String with standard ordering //
    ///////////////////////////////////
    print(derivationToString(phi));
    ==>  Omega_R^1 --> R
    ==>        dz |--> xz4
    ==>        dy |--> -23xz+y
    ==>        dx |--> x2
    ==>
    //////////////////////////////////
    // String with changed ordering //
    //////////////////////////////////
    print(derivationToString(phi,"gen","wp",intvec(-1,-1,1)));
    ==>  Omega_R^1 --> R
    ==>        dy |--> -23xz+y
    ==>        dx |--> x2
    ==>        dz |--> xz4
    ==>
    kill Omega_R,dx,dy,dz,L,phi;

See also: derivationPrint; difformGenToString; difformListSort.

User manual for Singular version 4.4.1, 2025, generated by texi2html.